<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include(get_language_filepath('plugin.lang.php', ASTAT_PATH));
include(ASTAT_PATH."/admin/AStat_functions.php");
 
global $template, $lang;
$plugin_object = get_plugin_data($plugin_id);
$pagelink="admin.php?page=plugin&section=AStat%2Fadmin%2FAStat_admin.php";

if(!array_key_exists('fAStat_all', $_REQUEST))
{$_REQUEST['fAStat_all']='Y';}
if(!array_key_exists('fAStat_year', $_REQUEST))
{$_REQUEST['fAStat_year']='';}
if(!array_key_exists('fAStat_month', $_REQUEST))
{$_REQUEST['fAStat_month']='';}
if(!array_key_exists('fAStat_day', $_REQUEST))
{$_REQUEST['fAStat_day']='';}
if(!array_key_exists('fAStat_tabsheet', $_REQUEST))
{$_REQUEST['fAStat_tabsheet']='stats_by_period';}
if(!array_key_exists('fAStat_page_number', $_REQUEST))
{$_REQUEST['fAStat_page_number']='1';}


if (isset($_POST['submit'])) 
{ 
  reset($plugin_object->my_config); 
  while (list($key, $val) = each($plugin_object->my_config)) 
  { if(isset($_POST['f_'.$key])) { $plugin_object->my_config[$key] = $_POST['f_'.$key]; } }
  
  $plugin_object->save_config(); 
}

if(isset($_POST['migration']))
{
 if(do_import()==true)
 {
  $plugin_object->my_config['AStat_show_import'] = 'N';
  $plugin_object->save_config(); 
 }

}


$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/AStat_admin.tpl') );
 

if($_REQUEST['fAStat_tabsheet']=='stats_by_period')
{ display_stats_by_period($_REQUEST['fAStat_all'], $_REQUEST['fAStat_year'], $_REQUEST['fAStat_month'], $_REQUEST['fAStat_day'], $plugin_object->my_config['AStat_MaxBarWidth']); }
elseif($_REQUEST['fAStat_tabsheet']=='stats_by_ip')
{ display_stats_by_ip($_REQUEST['fAStat_year'], $_REQUEST['fAStat_month'], $_REQUEST['fAStat_day'], $plugin_object->my_config['AStat_MaxBarWidth'], $plugin_object->my_config['AStat_NpIPPerPages'], $_REQUEST['fAStat_page_number']); }
elseif($_REQUEST['fAStat_tabsheet']=='stats_by_category')
{ display_stats_by_category($_REQUEST['fAStat_year'], $_REQUEST['fAStat_month'], $_REQUEST['fAStat_day'], $plugin_object->my_config['AStat_MaxBarWidth'], $plugin_object->my_config['AStat_NpCatPerPages'], $_REQUEST['fAStat_page_number']); }
elseif($_REQUEST['fAStat_tabsheet']=='config')
{ display_config(); }




$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');



?>
